PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Data Structures
Data Structures
PDL API Reference » RTC (Real-Time Clock)

## General Description

## Data Structures
struct | cy_stc_rtc_config_t
| This is the data structure that is used to configure the rtc time and date values. More...
struct | cy_stc_rtc_alarm_t
| Decimal data structure that is used to save the Alarms. More...
struct | cy_stc_rtc_dst_format_t
| This is DST structure for DST feature setting. More...
struct | cy_stc_rtc_dst_t
| This is the DST structure to handle start DST and stop DST. More...

## Data Structure Documentation

## ◆ cy_stc_rtc_config_t

struct cy_stc_rtc_config_t

Data Fields
uint32_t | sec | Seconds value, range [0-59].
uint32_t | min | Minutes value, range [0-59].
uint32_t | hour | Hour, range depends on hrFormat, if hrFormat = CY_RTC_24_HOURS, range [0-23]; If hrFormat = CY_RTC_12_HOURS, range [1-12] and appropriate AM/PM day period should be set (amPm)
cy_en_rtc_am_pm_t | amPm | AM/PM hour period, see cy_en_rtc_am_pm_t. This element is actual when hrFormat = CY_RTC_12_HOURS. The firmware ignores this element if hrFormat = CY_RTC_24_HOURS
cy_en_rtc_hours_format_t | hrFormat | Hours format, see cy_en_rtc_hours_format_t.
uint32_t | dayOfWeek | Day of the week, range [1-7], see Day of the week definitions.
uint32_t | date | Date of month, range [1-31].
uint32_t | month | Month, range [1-12]. See Month definitions
uint32_t | year | Year, range [0-99].

## ◆ cy_stc_rtc_alarm_t

struct cy_stc_rtc_alarm_t

Data Fields
uint32_t | sec | Alarm seconds, range [0-59]. The appropriate ALARMX interrupt is be asserted on matching with this value if secEn is previous enabled (secEn = 1)
cy_en_rtc_alarm_enable_t | secEn | Enable alarm on seconds matching, see cy_en_rtc_alarm_enable_t.
uint32_t | min | Alarm minutes, range [0-59]. The appropriate ALARMX interrupt is be asserted on matching with this value if minEn is previous enabled (minEn = 1)
cy_en_rtc_alarm_enable_t | minEn | Enable alarm on minutes matching, see cy_en_rtc_alarm_enable_t.
uint32_t | hour | Alarm hours, range [0-23] The appropriate ALARMX interrupt is be asserted on matching with this value if hourEn is previous enabled (hourEn = 1)
cy_en_rtc_alarm_enable_t | hourEn | Enable alarm on hours matching, see cy_en_rtc_alarm_enable_t.
uint32_t | dayOfWeek | Alarm day of the week, range [1-7] The appropriate ALARMX interrupt is be asserted on matching with this value if dayOfWeek is previous enabled (dayOfWeekEn = 1)
cy_en_rtc_alarm_enable_t | dayOfWeekEn | Enable alarm on day of the week matching, see cy_en_rtc_alarm_enable_t.
uint32_t | date | Alarm date, range [1-31]. The appropriate ALARMX interrupt is be asserted on matching with this value if dateEn is previous enabled (dateEn = 1)
cy_en_rtc_alarm_enable_t | dateEn | Enable alarm on date matching, see cy_en_rtc_alarm_enable_t.
uint32_t | month | Alarm Month, range [1-12]. The appropriate ALARMX interrupt is be asserted on matching with this value if dateEn is previous enabled (dateEn = 1)
cy_en_rtc_alarm_enable_t | monthEn | Enable alarm on month matching, see cy_en_rtc_alarm_enable_t.
cy_en_rtc_alarm_enable_t | almEn | Enable Alarm for appropriate ALARMX, see cy_en_rtc_alarm_enable_t. If all alarm structure elements are enabled (almEn = CY_RTC_ALARM_ENABLE) the alarm interrupt is be asserted every second.

## ◆ cy_stc_rtc_dst_format_t

struct cy_stc_rtc_dst_format_t

Data Fields
cy_en_rtc_dst_format_t | format | DST format. See cy_en_rtc_dst_format_t . Based on this value other structure elements should be filled or could be ignored
uint32_t | hour | Should be filled for both format types. Hour is always presented in 24hour format, range[0-23]
uint32_t | dayOfMonth | Day of Month, range[1-31]. This element should be filled if format = CY_RTC_DST_FIXED. Firmware calculates this value in condition that format = CY_RTC_DST_RELATIVE is selected
uint32_t | weekOfMonth | Week of month, range[1-6]. This element should be filled if format = CY_RTC_DST_RELATIVE. Firmware calculates dayOfMonth value based on weekOfMonth and dayOfWeek values
uint32_t | dayOfWeek | Day of the week, this element should be filled in condition that format = CY_RTC_DST_RELATIVE. Range[1- 7], see Day of the week definitions. Firmware calculates dayOfMonth value based on dayOfWeek and weekOfMonth values
uint32_t | month | Month value, range[1-12], see Month definitions. This value should be filled for both format types

## ◆ cy_stc_rtc_dst_t

struct cy_stc_rtc_dst_t

Data Fields
cy_stc_rtc_dst_format_t | startDst | DST start time structure.
cy_stc_rtc_dst_format_t | stopDst | DST stop time structure.